Subject: a slight anomaly in '--unified=0' diff output for one particular commit?

From: Ray Lehtiniemi <[email-masked]>
Date: Fri, 02 Feb 2007 09:19:31 -0700

hi all

i get the same output for both these commands in the git repository using 
v1.5.0-rc3-1-ge4b0e4a. 

  # git show --unified=1 9299c4f147bcff603eef187eb04fe38153571d30
  # git show --unified=0 9299c4f147bcff603eef187eb04fe38153571d30

in both cases, i get the following single line of context at the end of the 
diff:

  glossary.html : glossary.txt sort_glossary.pl

i'm also not sure the numbers in the '@@@' line look correct for 
the 'unified=0' case...

the context at the top of the diff behaves as expected.  i checked a few other 
commits (merge and non-merge types), and they all behaved perfectly with both 
unified settings.  it's just this one commit that seems funny when 
using --unified=0

can anyone reproduce?

ray